Subject: [ieee-ietf-coord] Draft Minutes from the 2019-06-19 IETF-IEEE 802 Coordination Meeting

From: Cindy Morgan <[email-masked]>
Date: Wed, 19 Jun 2019 10:25:50 -0700

All,

Attached please find draft minutes from yesterday's coordination meeting. Please let me know if you have any changes or corrections.

Best regards,
Cindy

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 24 Jun 2019 14:56:43 +0000

Dear all:

As a follow up on the discussion of SAVI and IEEE 802.11.

Please note that I published draft-thubert-6man-ipv6-over-wireless<https://tools.ietf.org/html/draft-thubert-6man-ipv6-over-wireless> to explain better the issues with the SAVI draft and how RFC 8505 family solves them.
Please note that as an implementor of SAVI in my company's Wi-Fi gear, I have a first-hand view on these issues. In the introduction you'll find the following:

"
   Discovering peer addresses by snooping the IPV6 ND protocol as
   proposed for SAVI [I-D.bi-savi-wlan<https://tools.ietf.org/html/draft-thubert-6man-ipv6-over-wireless-03#ref-I-D.bi-savi-wlan>] was found to be unreliable.  An
   IPv6 address may not be discovered immediately due to a packet loss,
   or if a "silent" node is not currently using one of its addresses,
   e.g., a node that waits in wake-on-lan state.  A change of state,
   e.g. due to a movement, may be missed or misordered, leading to
   unreliable connectivity and an incomplete knowledge of the set of
   peers.

   Wireless ND (WiND) introduces a new approach to IPv6 ND that is
   designed to apply to the WLANs and WPANs types of networks.  On the
   one hand, WiND avoids the use of broadcast operation for Address
   Resolution and Duplicate Address Detection, and on the other hand,
   WiND supports use cases where Subnet and MAC-level domains are not
   congruent, which is common in those types of networks unless a
   specific MAC-Level emulation is provided.

   To achieve this, WiND applies routing inside the Subnets, which

   enables MultiLink Subnets.  Hosts register their addresses to their

   serving routers with [RFC8505<https://tools.ietf.org/html/rfc8505>].  With the registration, routers have

   a complete knowledge of the hosts they serve and in return, hosts

   obtain routing services for their registered addresses.  The

   registration is abstract to the routing protocol, and it can be

   protected to prevent impersonation attacks with [I-D.ietf-6lo-ap-nd<https://tools.ietf.org/html/draft-thubert-6man-ipv6-over-wireless-03#ref-I-D.ietf-6lo-ap-nd>].

   The routing service can be a simple reflexion in a Hub-and-Spoke
   Subnet that emulates an IEEE Std 802.11 Infrastructure BSS at Layer
   3.  It can also be a full-fledge routing protocol, in particular RPL
   [RFC6550<https://tools.ietf.org/html/rfc6550>] that was designed to adapt to various LLNs such as WLAN and
   WPAN radio meshes with the concept of Objective Function.  Finally,
   the routing service can also be ND proxy that emulates an IEEE Std
   802.11 Infrastructure ESS at Layer 3.  WiND specifies the IPv6
   Backbone Router for that purpose in [I-D.ietf-6lo-backbone-router<https://tools.ietf.org/html/draft-thubert-6man-ipv6-over-wireless-03#ref-I-D.ietf-6lo-backbone-router>].

   More details on WiND can be found in Section 4.1<https://tools.ietf.org/html/draft-thubert-6man-ipv6-over-wireless-03#section-4.1>.

"

I'm happy to discuss the draft on this list but would rather we copy 6MAN since I plan to present the draft there.

All the best,

Pascal

From: ieee-ietf-coord <[email-masked]> On Behalf Of Cindy Morgan
Sent: mercredi 19 juin 2019 19:26
To: <[email-masked]> <[email-masked]>
Subject: [ieee-ietf-coord] Draft Minutes from the 2019-06-19 IETF-IEEE 802 Coordination Meeting

All,

Best regards,
Cindy
_______________________________________________
ieee-ietf-coord mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ieee-ietf-coord